package org.jboss.qa.drools.metadata;

import org.drools.KnowledgeBase;
import org.drools.KnowledgeBaseFactory;
import org.drools.builder.KnowledgeBuilder;
import org.drools.builder.KnowledgeBuilderFactory;
import org.drools.builder.ResourceType;
import org.drools.io.ResourceFactory;


public class MetadataTest {
    public static void main(String[] args) throws Exception {
        KnowledgeBuilder kbuilder = KnowledgeBuilderFactory.newKnowledgeBuilder();
        kbuilder.add(ResourceFactory.newInputStreamResource(MetadataTest.class.getResourceAsStream("metadata.drl")), ResourceType.DRL);

        if (kbuilder.hasErrors()) {
            throw new Exception(kbuilder.getErrors().toString());
        }

        KnowledgeBase kbase = KnowledgeBaseFactory.newKnowledgeBase();
        kbase.addKnowledgePackages(kbuilder.getKnowledgePackages());

        System.out.println(kbase.getRule("org.jboss.qa.drools.metadata", "quoted").getMetaData().get("alt"));
        //System.out.println(kbase.getRule("org.jboss.qa.drools.metadata", "nonquoted").getMetaData().get("alt"));
    }
}
